Package org.htmlunit

# Class CollectingAlertHandler

java.lang.Object
org.htmlunit.CollectingAlertHandler

All Implemented Interfaces:
  `Serializable`, `AlertHandler`

public class CollectingAlertHandler extends Object implements AlertHandler, Serializable
A simple alert handler that keeps track of alerts in a list.

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CollectingAlertHandler()`
  Creates a new instance, initializing it with an empty list.
  `CollectingAlertHandler(List<String> list)`
  Creates an instance with the specified list.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `clear()`
  Removes all alerts.
  `List<String>`
  `getCollectedAlerts()`
  Returns a list containing the message portion of any collected alerts.
  `void`
  `handleAlert(Page page, String message)`
  Handles the alert.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### CollectingAlertHandler

    public CollectingAlertHandler()
    Creates a new instance, initializing it with an empty list.

  - ### CollectingAlertHandler

    public CollectingAlertHandler(List<String> list)
    Creates an instance with the specified list.
    Parameters:
      `list` - the list to store alerts in

- ## Method Details

  - ### handleAlert

    public void handleAlert(Page page, String message)
    Handles the alert. This implementation will store the message in a list for retrieval later.
    Specified by:
      `handleAlert` in interface `AlertHandler`
    Parameters:
      `page` - the page that triggered the alert
      `message` - the message in the alert

  - ### getCollectedAlerts

    public List<String> getCollectedAlerts()
    Returns a list containing the message portion of any collected alerts.
    Returns:
      a list of alert messages

  - ### clear

    public void clear()
    Removes all alerts.